Android APP not running in some devices since 2.1.5

Discussion in 'GameMaker Studio 2 Community Tech Support' started by SeirLord Games, Aug 6, 2018.

  1. SeirLord Games

    SeirLord Games Member

    Joined:
    Sep 30, 2016
    Posts:
    60
    Hi community,

    I have exported an Android YYC game and gave it to 16 testers, on the first version when me and other 3 runner the game, it shows a error message like "unable to find library for this devices, which is armv7l, ensure you have included the correct architecture in your apk"

    At that version, I was exporting to architectures armv5 and armv7.

    I updated a new version adding architecture arm64.

    And it worked for 2 of us. Other 2 still having that problem.

    This are my options:
    Build tools: 27.0.0
    Support library: 27.0.0
    Target SDK: 27
    Minimum SDK: 14
    Compile SDK: 27

    I tried to go back to previous runtime, but when I try to compile, it shows an error on every object, something like event_inherited, but I dont use that function on my objects.
     
  2. Kjell

    Kjell Member

    Joined:
    Aug 12, 2018
    Posts:
    2
    Also having this problem with my test-device (Nexus 7). Have updated all my SDK tools upto 27 and am using the same build options as SeirLord Games.
    Think it has something to do with the runtime. As I'm having this problem since version 2.1.5.246
    Anyone know a way to fix this?
     
  3. Nocturne

    Nocturne Friendly Tyrant Forum Staff Admin

    Joined:
    Apr 13, 2016
    Posts:
    6,892
    Build with NDK/API level 16 rather than 17 - This is a known issue that will be fixed in a coming update.
     
  4. forsamori

    forsamori Ex-QA Department GMC Elder

    Joined:
    Jun 21, 2016
    Posts:
    43
  5. Kjell

    Kjell Member

    Joined:
    Aug 12, 2018
    Posts:
    2
    Thanks guys, will be patient :D
     
  6. Speederman

    Speederman Member

    Joined:
    Jun 23, 2016
    Posts:
    43
    Sorry, but using NDK 16b doesn't solve the problem to me... I started having this issue with NDK 14b and then changed to 16b with no luck. I've also tried different SDK versions with the same results.

    If I compile without YYC, it works fine...

    The device I'm having problems with is a Sony Xperia Z2 tablet...
     
    Last edited: Aug 20, 2018
  7. Nocturne

    Nocturne Friendly Tyrant Forum Staff Admin

    Joined:
    Apr 13, 2016
    Posts:
    6,892
    @Speederman : Hello! You'll have to file a bug report with YYG abou this I think (include the compiler output from the console as well please)... Afaik, all other API's should be fine.
     
  8. Speederman

    Speederman Member

    Joined:
    Jun 23, 2016
    Posts:
    43
    Thanks, I've just done it. Here's my ticket number: 148029
     
  9. SeirLord Games

    SeirLord Games Member

    Joined:
    Sep 30, 2016
    Posts:
    60
    Yes, I sent them a report but they say that is not error using NDK 16, and I am using it and still getting error. Loosing lot of potential users with this error, hope they solve it soon
     
  10. Jack S

    Jack S Member

    Joined:
    Jul 21, 2016
    Posts:
    63
    HW. likes this.
  11. Pushloop

    Pushloop Member

    Joined:
    Jun 22, 2016
    Posts:
    149
    Hoping this will be fixed soon, in the meantime rolled back and trying old builds, but nothing seems to works anymore, catch 22 lol. Anyone got an old build setup that works with ndk 16?
     
  12. Pushloop

    Pushloop Member

    Joined:
    Jun 22, 2016
    Posts:
    149
    At least I got my old setup running on 2.14, ndk16, 26, 14, 26. All the mips and arms inclued,and also running on my Nexus (which is known for api 23 issues). It took some cleaning and even restarting to get the .apk built and running, but it finally works again..
     
  13. Jack S

    Jack S Member

    Joined:
    Jul 21, 2016
    Posts:
    63
    This is fixed now in 2.2 with the latest runtime 261
     
    HW. likes this.
  14. Roscoe.Zhao

    Roscoe.Zhao Member

    Joined:
    Mar 6, 2018
    Posts:
    19
    Hi Jack,
    I'm having the same problem but I'm using GMS 1.4.9999, are there any solution for this in v1.4?
     
  15. Flighter1990

    Flighter1990 Member

    Joined:
    Jan 18, 2019
    Posts:
    5
    I have GMS 1.4.9999 and also have the same problem on android 6.0 and 6.0.1 devices. How to fix that? BTW in GMS 1.4.1760 everything works fine. I used Android NDK 16 and 15.
     

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice